Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.lib
Class StdTestScript

    java.lang.Object
      com.sun.javatest.Script
          com.sun.javatest.lib.StdTestScript

    public class StdTestScript

extends Script

A Script to compile/execute a standard test.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.javatest.Script
`Script.TimeoutProvider`

Field Summary
`static int` | `CERTIFY` An integer signifying that the execution mode is to perform a certification run, executing precompiled classes.
`static int` | `DEVELOPER` An integer signifying that the execution mode is to compile and execute the tests.
`static int` | `PRECOMPILE` An integer signifying that the execution mode is to precompile but not otherwise execute the tests.
`static int` | `UNKNOWN` An integer signifying that the execution mode is unknown.

Fields inherited from class com.sun.javatest.Script
`alarmTimer, backupPolicy, cmdOut1Name, cmdOut2Name, env, error_badExecuteArgs, error_badTestClassDir, error_compFailUnexp, error_noActionSpecified, error_noExecuteClass, error_noExtnInSource, error_noRMIClasses, error_noSource, excludedTestCases, fail_compFailUnexp, fail_compSuccUnexp, fail_execSuccUnexp, loader, noExtnInSource, noSource, notifier, pass_compFailExp, pass_compSuccExp, pass_execFailExp, scriptArgs, td, trOut, workDir`

Constructor Summary
`StdTestScript()`

Method Summary
`int` | `getMode()` Get the execution mode for this script.
`Status` | `run(java.lang.String[] args, TestDescription td, TestEnvironment env)` The primary method to be provided by Scripts.
`void` | `setMode(int mode)` Set the execution mode for this script.

Methods inherited from class com.sun.javatest.Script
`compileIfNecessary, compileIfNecessary, compileIfNecessary, compileIfNecessary, compileIndividually, compileIndividually, compileIndividually, compileIndividually, compileOne, compileOne, compileOne, compileOne, compileTogether, compileTogether, compileTogether, compileTogether, exclude, execute, execute, execute, execute, filesToStrings, getJTRIfPassed, getTestDescription, getTestResult, getTestTimeout, getTimeoutProvider, initArgs, initBackupPolicy, initClassLoader, initDelegate, initExcludedTestCases, initTestDescription, initTestEnvironment, initTestResult, initWorkDir, invokeCommand, rmiCompile, rmiCompile, run, setAlarm, setAlarm, setDefaultCommandStreamNames, setJTRIfPassed, setNotifier, setTimeoutProvider, useNotifier`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

  An integer signifying that the execution mode is unknown.

  See Also:
    Constant Field Values

### CERTIFY

    public static final int CERTIFY

  An integer signifying that the execution mode is to perform a certification run, executing precompiled classes.

  See Also:
    Constant Field Values

### PRECOMPILE

    public static final int PRECOMPILE

  An integer signifying that the execution mode is to precompile but not otherwise execute the tests.

  See Also:
    Constant Field Values

### DEVELOPER

    public static final int DEVELOPER

  An integer signifying that the execution mode is to compile and execute the tests.

  See Also:
    Constant Field Values

Constructor Detail

### StdTestScript

    public StdTestScript()

Method Detail

### run

    public Status run(java.lang.String[] args,
                      TestDescription td,
                      TestEnvironment env)

  Description copied from class: `Script`
  The primary method to be provided by Scripts. It is responsible for compiling and executing the test appropiately. Normally, a script should call `init' and then decode any script-specific options it is given in `args'. It should then examine the test description it is given so that it can compile and execute the test as appropriate. Various convenience routines are provided to simplify the task of running the compiler, an interpreter or any other commands, which can be specified in a flexible manner by properties in the TestEnvironment.

  Specified by:
    `run` in class `Script`
  Parameters:
    `args` - Any script-specific options specified in the script property
    `td` - The test description for the test to be performed
    `env` - The test environment giving the details of how to run the test
  Returns:
    The result of running the script
  See Also:
    `Script.compileIndividually(java.lang.String[])`, `Script.compileTogether(java.lang.String[])`, `Script.execute(java.lang.String, java.lang.String)`, `Script.invokeCommand(java.lang.String)`

### getMode

    public int getMode()

  Get the execution mode for this script. The default mode is CERTIFY.

  Returns:
    an integer signifying the execution mode for this script
  See Also:
    `setMode(int)`, `UNKNOWN`, `CERTIFY`, `PRECOMPILE`, `DEVELOPER`

### setMode

    public void setMode(int mode)

  Set the execution mode for this script.

  Parameters:
    `mode` - an integer signifying the execution mode for this script
  See Also:
    `getMode()`, `UNKNOWN`, `CERTIFY`, `PRECOMPILE`, `DEVELOPER`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.